AjaxPush (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.component.html.AjaxPush class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class AjaxPush

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.ajax4jsf.component.UIPush
                          org.ajax4jsf.component.html.AjaxPush

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class AjaxPush

extends UIPush

Component-Type org.ajax4jsf.Push Component-Family org.ajax4jsf.components.AjaxPush Renderer-Type org.ajax4jsf.components.AjaxPushRenderer Periodically perform AJAX request to server, to simulate 'push' data.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`AjaxPush()` Constructor to init default renderers

Method Summary
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`javax.faces.el.MethodBinding` | `getEventProducer()` MethodBinding pointing at method accepting an PushEventListener with return type void.
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`int` | `getInterval()` Interval (in ms) for call push requests.
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`int` | `getRequestDelay()` requestDelay Getter for requestDelay
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`int` | `getTimeout()` Timeout (in ms) for request Getter for timeout
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isEnabled()` Enable/disable pushing Getter for enabled
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setEnabled(boolean __enabled)` Enable/disable pushing Setter for enabled
`void` | `setEventProducer(javax.faces.el.MethodBinding __eventProducer)` MethodBinding pointing at method accepting an PushEventListener with return type void.
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`void` | `setInterval(int __interval)` Interval (in ms) for call push requests.
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setRequestDelay(int __requestDelay)` requestDelay Setter for requestDelay
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setTimeout(int __timeout)` Timeout (in ms) for request Setter for timeout

Methods inherited from class org.ajax4jsf.component.UIPush
`encodeBegin, getListenerId, isSubmitted, setSubmitted, setupReRender`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, getSingleComponent, queueEvent, removeAjaxListener, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AjaxPush

    public AjaxPush()

  Constructor to init default renderers

Method Detail

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setEventProducer

    public void setEventProducer(javax.faces.el.MethodBinding __eventProducer)

  MethodBinding pointing at method accepting an PushEventListener with return type void. User bean must register this listener and send EventObject to this listener on ready. Setter for eventProducer

  Specified by:
    `setEventProducer` in class `UIPush`
  Parameters:
    `eventProducer` - - new value

### getEventProducer

    public javax.faces.el.MethodBinding getEventProducer()

  MethodBinding pointing at method accepting an PushEventListener with return type void. User bean must register this listener and send EventObject to this listener on ready. Getter for eventProducer

  Specified by:
    `getEventProducer` in class `UIPush`
  Returns:
    eventProducer value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Timeout (in ms) for request Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Timeout (in ms) for request Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setInterval

    public void setInterval(int __interval)

  Interval (in ms) for call push requests. Default value 1000 (1 sec) Setter for interval

  Specified by:
    `setInterval` in class `UIPush`
  Parameters:
    `interval` - - new value

### getInterval

    public int getInterval()

  Interval (in ms) for call push requests. Default value 1000 (1 sec) Getter for interval

  Specified by:
    `getInterval` in class `UIPush`
  Returns:
    interval value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  requestDelay Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  requestDelay Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setEnabled

    public void setEnabled(boolean __enabled)

  Enable/disable pushing Setter for enabled

  Specified by:
    `setEnabled` in class `UIPush`
  Parameters:
    `enabled` - - new value

### isEnabled

    public boolean isEnabled()

  Enable/disable pushing Getter for enabled

  Specified by:
    `isEnabled` in class `UIPush`
  Returns:
    enabled value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.